CREATE  TABLE `shanglifeecif.age_sex_distribution`(
                                                      `id` string DEFAULT NULL,
                                                      `labelname` string DEFAULT NULL COMMENT '阶段名称',
                                                      `gender` string DEFAULT NULL COMMENT '性别',
                                                      `cusnum` string DEFAULT NULL COMMENT '客户数量'
)
    COMMENT '年龄段性别分布'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,labelname,gender,cusnum',
  'elasticsearch.columns.type'='string,string,string,string',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.age_sex_distribution@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'elasticsearch.tablename'='shanglifeecif.age_sex_distribution',
  'transient_lastDdlTime'='1617704647',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.bdnum_distribution`(
                                                    `id` string DEFAULT NULL,
                                                    `labelname` string DEFAULT NULL COMMENT '保单件数名称',
                                                    `bdnum` string DEFAULT NULL COMMENT '保单件数'
)
    COMMENT '保单件数分布'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,labelname,bdnum',
  'elasticsearch.columns.type'='string,string,string',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.bdnum_distribution@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'elasticsearch.tablename'='shanglifeecif.bdnum_distribution',
  'transient_lastDdlTime'='1617704648',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.bdnum_distribution_channel`(
                                                            `id` string DEFAULT NULL,
                                                            `labelname` string DEFAULT NULL COMMENT '保单件数名称',
                                                            `bdnum` string DEFAULT NULL COMMENT '保单件数',
                                                            `salecom` string DEFAULT NULL COMMENT '渠道码',
                                                            `salecomname` string DEFAULT NULL COMMENT '渠道名字'
)
    COMMENT '保单件数渠道分布'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,labelname,bdnum,salecom,salecomname',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.bdnum_distribution_channel@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'elasticsearch.tablename'='shanglifeecif.bdnum_distribution_channel',
  'transient_lastDdlTime'='1647916696',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.customer_risk_temp`(
                                                    `id` string DEFAULT NULL COMMENT '',
                                                    `scustid` string DEFAULT NULL COMMENT '',
                                                    `name` string DEFAULT NULL COMMENT '',
                                                    `gender` string DEFAULT NULL COMMENT '',
                                                    `idcard` string DEFAULT NULL COMMENT '',
                                                    `birthday` string DEFAULT NULL COMMENT '',
                                                    `policyno` string DEFAULT NULL COMMENT '',
                                                    `productname` string DEFAULT NULL COMMENT '',
                                                    `riskcategoriesname` string DEFAULT NULL COMMENT '',
                                                    `risk` string DEFAULT NULL COMMENT '',
                                                    `salecom` string DEFAULT NULL,
                                                    `salecomname` string DEFAULT NULL
)
    COMMENT '客户信息险种临时表'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,scustid,name,gender,idcard,birthday,policyno,productname,riskcategoriesname,risk,salecom,salecomname',
  'elasticsearch.columns.type'='string,string,string,string,string,string,string,string,string,string',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.customer_risk_temp@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'last_modified_time'='1647913750',
  'elasticsearch.tablename'='shanglifeecif.customer_risk_temp',
  'COLUMN_STATS_ACCURATE'='false',
  'transient_lastDdlTime'='1617704649',
  'last_modified_by'='hive',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.customerno_salecom_relation`(
                                                             `indid` string DEFAULT NULL COMMENT '个体ID',
                                                             `customerno` string DEFAULT NULL COMMENT '客户号',
                                                             `salecomname` string DEFAULT NULL COMMENT '渠道名称',
                                                             `salecom` string DEFAULT NULL COMMENT '渠道编号',
                                                             `dday` string DEFAULT NULL COMMENT '死亡日期',
                                                             `gender` string DEFAULT NULL COMMENT '性别',
                                                             `ethnic` string DEFAULT NULL COMMENT '民族',
                                                             `nation` string DEFAULT NULL COMMENT '国籍',
                                                             `homeadress` string DEFAULT NULL COMMENT '籍贯 UNDERWRITE_REPORT_LIST.POLICY_HOLDER_ADDRESS',
                                                             `regresidence` string DEFAULT NULL COMMENT '户口所在地',
                                                             `maritalstat` string DEFAULT NULL COMMENT '婚姻状况 一对多',
                                                             `maritalstatdate` string DEFAULT NULL COMMENT '婚姻状况日期 一对多',
                                                             `offspring` string DEFAULT NULL COMMENT '生育状况',
                                                             `support` string DEFAULT NULL COMMENT '赡养状况',
                                                             `empstat` string DEFAULT NULL COMMENT '就业状况 一对多',
                                                             `empstatdate` string DEFAULT NULL COMMENT '就业状况日期 一对多',
                                                             `raid` string DEFAULT NULL COMMENT '联系地址',
                                                             `ral` string DEFAULT NULL COMMENT '联系地址不分段',
                                                             `al` string DEFAULT NULL COMMENT '曾用地址不分段',
                                                             `coadress` int DEFAULT NULL COMMENT '地址登录数量',
                                                             `pmphone` string DEFAULT NULL COMMENT '常用手机 正在使用的手机',
                                                             `mhone1` string DEFAULT NULL COMMENT '曾用手机1',
                                                             `mhone2` string DEFAULT NULL COMMENT '曾用手机2',
                                                             `sophone` int DEFAULT NULL COMMENT '手机登录数量',
                                                             `height` double DEFAULT NULL COMMENT '身高',
                                                             `weight` double DEFAULT NULL COMMENT '体重',
                                                             `cillness` string DEFAULT NULL COMMENT '当前疾病',
                                                             `pillness` string DEFAULT NULL COMMENT '曾患疾病',
                                                             `cdiseases` string DEFAULT NULL COMMENT '先天性疾病',
                                                             `bmi` double DEFAULT NULL COMMENT 'BMI体制指数',
                                                             `fmhistory` string DEFAULT NULL COMMENT '家族病史',
                                                             `evadate` string DEFAULT NULL COMMENT '健康评估日期',
                                                             `cohevaluation` int DEFAULT NULL COMMENT '健康评估登录数量',
                                                             `hphone` string DEFAULT NULL COMMENT '家庭电话',
                                                             `occupationid` string DEFAULT NULL COMMENT '职业代码 UNDERWRITE_REPORT_LIST.POLICY_HOLDER_CODE',
                                                             `occupation` string DEFAULT NULL COMMENT '职业名称 UNDERWRITE_REPORT_LIST.POLICY_HOLDER_NAME',
                                                             `odate` string DEFAULT NULL COMMENT '职业时间 一对多',
                                                             `employer` string DEFAULT NULL COMMENT '工作单位',
                                                             `wphone` string DEFAULT NULL COMMENT '工作电话',
                                                             `empdate` string DEFAULT NULL COMMENT '工作单位时间',
                                                             `lemployer` string DEFAULT NULL COMMENT '曾经工作单位',
                                                             `idcard` string DEFAULT NULL COMMENT '身份证 T_CUSTOMER_CLASS.ID_NO',
                                                             `passport` string DEFAULT NULL COMMENT '护照',
                                                             `dlicense` string DEFAULT NULL COMMENT '驾驶证',
                                                             `education` string DEFAULT NULL COMMENT '最高学历',
                                                             `university` string DEFAULT NULL COMMENT '毕业学校',
                                                             `edate` string DEFAULT NULL COMMENT '学历时间',
                                                             `wechat` string DEFAULT NULL COMMENT '微信',
                                                             `weibo` string DEFAULT NULL COMMENT '微博',
                                                             `email` string DEFAULT NULL COMMENT '邮箱',
                                                             `qq` string DEFAULT NULL COMMENT 'QQ',
                                                             `tiktok` string DEFAULT NULL COMMENT '抖音',
                                                             `saccount1` string DEFAULT NULL COMMENT '社交账号1',
                                                             `sa1cat` string DEFAULT NULL COMMENT '社交账号1类别',
                                                             `saccount2` string DEFAULT NULL COMMENT '社交账号2',
                                                             `sa2cat` string DEFAULT NULL COMMENT '社交账号2类别',
                                                             `ctype` string DEFAULT NULL COMMENT '首选联系方式 手机，微信，微博，邮箱，QQ，抖音，其他',
                                                             `father` string DEFAULT NULL COMMENT '父亲 HEALTH_INSURANCE_LISTING.INSUREDNAME
HEALTH_INSURANCE_LISTING.RELATION:投保人与被保人关系',
                                                             `mother` string DEFAULT NULL COMMENT '母亲',
                                                             `mate` string DEFAULT NULL COMMENT '配偶',
                                                             `child1` string DEFAULT NULL COMMENT '子女1',
                                                             `child2` string DEFAULT NULL COMMENT '子女2',
                                                             `cochild` int DEFAULT NULL COMMENT '子女登录数量',
                                                             `rpid` string DEFAULT NULL COMMENT '房产',
                                                             `rpdescribe` string DEFAULT NULL COMMENT '房产描述',
                                                             `corp` int DEFAULT NULL COMMENT '房产登录数量',
                                                             `vid` string DEFAULT NULL COMMENT '车辆',
                                                             `vdescribe` string DEFAULT NULL COMMENT '车辆描述',
                                                             `covehicle` int DEFAULT NULL COMMENT '车辆登录数量',
                                                             `anniversary1` string DEFAULT NULL COMMENT '纪念日1',
                                                             `a1describe` string DEFAULT NULL COMMENT '纪念日1类型',
                                                             `anniversary2` string DEFAULT NULL COMMENT '纪念日2',
                                                             `a2describe` string DEFAULT NULL COMMENT '纪念日2类型',
                                                             `soanniversary` int DEFAULT NULL COMMENT '纪念日登录数量',
                                                             `custtype` string DEFAULT NULL COMMENT '客户类型',
                                                             `bankname` string DEFAULT NULL COMMENT '开户银行',
                                                             `tobankcard` string DEFAULT NULL COMMENT '银行卡类型 如：master、visa、银联等。',
                                                             `accname` string DEFAULT NULL COMMENT '账户名',
                                                             `bankaccno` string DEFAULT NULL COMMENT '银行帐号',
                                                             `cobaccount` int DEFAULT NULL COMMENT '账户登录数量',
                                                             `sotlirisk` double DEFAULT NULL COMMENT '传统寿险种保额合计',
                                                             `soairisk` double DEFAULT NULL COMMENT '意外类险种保额合计',
                                                             `sosiirisk` double DEFAULT NULL COMMENT '重疾类险种保额合计',
                                                             `somcirisk` double DEFAULT NULL COMMENT '医疗费用类险种保额合计',
                                                             `someirisk` double DEFAULT NULL COMMENT '医疗补贴类险种保额合计',
                                                             `soefirisk` double DEFAULT NULL COMMENT '教育金类险种保额合计',
                                                             `sopirisk` double DEFAULT NULL COMMENT '养老金类险种保额合计',
                                                             `sowmirisk` double DEFAULT NULL COMMENT '财富管理险种保额合计',
                                                             `custclass` int DEFAULT NULL COMMENT '客户等级',
                                                             `convalue` int DEFAULT NULL COMMENT '贡献度分',
                                                             `awarded3` int DEFAULT NULL COMMENT '家庭加分',
                                                             `awarded2` int DEFAULT NULL COMMENT '续期加分',
                                                             `awarded1` int DEFAULT NULL COMMENT '保单加分',
                                                             `sovalue` int DEFAULT NULL COMMENT '总分值',
                                                             `enddate` string DEFAULT NULL COMMENT '客户等级失效日期',
                                                             `systemtag1` string DEFAULT NULL COMMENT '系统标签域1',
                                                             `systemtag2` string DEFAULT NULL COMMENT '系统标签域2',
                                                             `systemtag3` string DEFAULT NULL COMMENT '系统标签域3',
                                                             `systemtag4` string DEFAULT NULL COMMENT '系统标签域4',
                                                             `systemtag5` string DEFAULT NULL COMMENT '系统标签域5',
                                                             `cocommunication` int DEFAULT NULL COMMENT '接触次数',
                                                             `lcdate` string DEFAULT NULL COMMENT '最近接触时间',
                                                             `lctype` string DEFAULT NULL COMMENT '最近接触类型 投诉、问询、营销',
                                                             `lcmethod` string DEFAULT NULL COMMENT '最近接触方式 外呼、呼入',
                                                             `cocomplaint` int DEFAULT NULL COMMENT '投诉次数 当前客户投保保单相关投诉，包括非本人投诉',
                                                             `lcptdate` string DEFAULT NULL COMMENT '最近投诉时间 当前客户投保保单相关投诉，包括非本人投诉',
                                                             `lcptreason` string DEFAULT NULL COMMENT '最近投诉原因 当前客户投保保单相关投诉，包括非本人投诉',
                                                             `lcptlink` string DEFAULT NULL COMMENT '最近投诉环节 当前客户投保保单相关投诉，包括非本人投诉',
                                                             `lcptresult` string DEFAULT NULL COMMENT '最近投诉处理结果 当前客户投保保单相关投诉，包括非本人投诉',
                                                             `lcptduration` double DEFAULT NULL COMMENT '最近投诉处理时长 当前客户投保保单相关投诉，包括非本人投诉',
                                                             `lcptperson` string DEFAULT NULL COMMENT '最近投诉人',
                                                             `soppremium` double DEFAULT NULL COMMENT '累计已缴保费',
                                                             `lappdate` string DEFAULT NULL COMMENT '最近投保日期',
                                                             `cndate` string DEFAULT NULL COMMENT '最近报案日期',
                                                             `cnstatus` string DEFAULT NULL COMMENT '最近报案状态',
                                                             `coclaim` int DEFAULT NULL COMMENT '赔付次数',
                                                             `soclaim` double DEFAULT NULL COMMENT '赔付总额',
                                                             `cocnotification` int DEFAULT NULL COMMENT '报案登录数量',
                                                             `fadate` string DEFAULT NULL COMMENT '首次投保日期 当前客户为投保人时',
                                                             `fachannel` string DEFAULT NULL COMMENT '首张保单所属渠道 InsuranceArrangement.AgentChannel',
                                                             `faorg` string DEFAULT NULL COMMENT '首张保单所属机构 InsuranceArrangement.AgentOrg',
                                                             `lpno` string DEFAULT NULL COMMENT '最近保险单号 当前客户为投保人时',
                                                             `lpstate` string DEFAULT NULL COMMENT '最近保单状态 当前客户为投保人时',
                                                             `lpname` string DEFAULT NULL COMMENT '最近投保险种名称 当前客户为投保人时',
                                                             `lpchannel` string DEFAULT NULL COMMENT '最近保单所属渠道 InsuranceArrangement.AgentChannel',
                                                             `lporg` string DEFAULT NULL COMMENT '最近保单所属机构 InsuranceArrangement.AgentOrg',
                                                             `copolicy` int DEFAULT NULL COMMENT '保单登录数量',
                                                             `lpostype` string DEFAULT NULL COMMENT '最近保全类型 AUDIT_EDORLIST.EDORNAME',
                                                             `iaccno1` string DEFAULT NULL COMMENT '保险账户1',
                                                             `iaccname1` string DEFAULT NULL COMMENT '保险账户1名称',
                                                             `iaccno2` string DEFAULT NULL COMMENT '保险账户2',
                                                             `iaccname2` string DEFAULT NULL COMMENT '保险账户2名称',
                                                             `iaccno3` string DEFAULT NULL COMMENT '保险账户3',
                                                             `iaccname3` string DEFAULT NULL COMMENT '保险账户3名称',
                                                             `soiaccount1` double DEFAULT NULL COMMENT '保险账户1余额',
                                                             `soiaccount2` double DEFAULT NULL COMMENT '保险账户2余额',
                                                             `soiaccount3` double DEFAULT NULL COMMENT '保险账户3余额',
                                                             `coiaccount` int DEFAULT NULL COMMENT '保险账户登录数量',
                                                             `homeid` string DEFAULT NULL COMMENT '家庭号 大数据平台HOME_NETWORK',
                                                             `branchcode` string DEFAULT NULL COMMENT '机构代码 数据归属机构，用于权限控制',
                                                             `custstate` string DEFAULT NULL COMMENT '客户状态 party可能会合并导致当前记录不再可用',
                                                             `datasource` string DEFAULT NULL COMMENT '数据来源',
                                                             `smoking` string DEFAULT NULL COMMENT '吸烟情况 从不、戒烟、吸烟',
                                                             `drinking` string DEFAULT NULL COMMENT '饮酒情况 从不、戒酒、饮酒',
                                                             `pregnancy` string DEFAULT NULL COMMENT '怀孕情况',
                                                             `hobby1` string DEFAULT NULL COMMENT '兴趣爱好1',
                                                             `hobby2` string DEFAULT NULL COMMENT '兴趣爱好2',
                                                             `hobby3` string DEFAULT NULL COMMENT '兴趣爱好3',
                                                             `pincome` double DEFAULT NULL COMMENT '个人年收入',
                                                             `fincome` double DEFAULT NULL COMMENT '家庭年收入',
                                                             `regtype` string DEFAULT NULL COMMENT '户籍类型',
                                                             `incomesource` string DEFAULT NULL COMMENT '收入来源',
                                                             `sistatus` string DEFAULT NULL COMMENT '社保情况',
                                                             `novpolicy` int DEFAULT NULL COMMENT '有效保单件数',
                                                             `noivpolicy` int DEFAULT NULL COMMENT '失效保单件数',
                                                             `nostinsurance` string DEFAULT NULL COMMENT '短意险保单持有情况 仅持有短意险保单，持有短意险保单，无短意险保单',
                                                             `nospinsurance` string DEFAULT NULL COMMENT '趸交保单持有情况 仅持有趸交保单，持有趸交保单，无趸交保单',
                                                             `iself` string DEFAULT NULL COMMENT '本人投保情况 仅本人投保，本人已投保，本人未投保',
                                                             `iparent` string DEFAULT NULL COMMENT '父母投保情况 仅父母投保，父母已投保，父母未投保',
                                                             `ichildren` string DEFAULT NULL COMMENT '子女投保情况 仅子女投保，子女已投保，子女未·投保',
                                                             `imate` string DEFAULT NULL COMMENT '配偶投保情况 仅配偶投保，配偶已投保，配偶未投保',
                                                             `policybelong` string DEFAULT NULL COMMENT '业绩归属',
                                                             `zipcode` string DEFAULT NULL,
                                                             `othernumber` string DEFAULT NULL,
                                                             `otheridnumber` string DEFAULT NULL,
                                                             `officialcalculus` string DEFAULT NULL,
                                                             `created_by` string DEFAULT NULL COMMENT '创建人',
                                                             `created_time` date DEFAULT NULL COMMENT '创建时间',
                                                             `updated_by` string DEFAULT NULL COMMENT '更新人',
                                                             `updated_time` date DEFAULT NULL COMMENT '更新时间',
                                                             `label1` string DEFAULT NULL COMMENT 'Label1',
                                                             `label2` string DEFAULT NULL COMMENT 'Label2',
                                                             `label3` string DEFAULT NULL COMMENT 'Label3',
                                                             `label4` string DEFAULT NULL COMMENT 'Label4',
                                                             `label5` string DEFAULT NULL COMMENT 'Label5',
                                                             `label6` string DEFAULT NULL COMMENT 'Label6',
                                                             `label7` string DEFAULT NULL COMMENT 'Label7',
                                                             `label8` string DEFAULT NULL COMMENT 'Label8',
                                                             `label9` string DEFAULT NULL COMMENT 'Label9',
                                                             `label10` string DEFAULT NULL COMMENT 'Label10',
                                                             `label11` string DEFAULT NULL COMMENT 'Label11',
                                                             `label12` string DEFAULT NULL COMMENT 'Label12',
                                                             `label13` string DEFAULT NULL COMMENT 'Label13',
                                                             `label14` string DEFAULT NULL COMMENT 'Label14',
                                                             `label15` string DEFAULT NULL COMMENT 'Label15',
                                                             `label16` string DEFAULT NULL COMMENT 'Label16',
                                                             `label17` string DEFAULT NULL COMMENT 'Label17',
                                                             `label18` string DEFAULT NULL COMMENT 'Label18',
                                                             `label19` string DEFAULT NULL COMMENT 'Label19',
                                                             `label20` string DEFAULT NULL COMMENT 'Label20',
                                                             `label21` string DEFAULT NULL COMMENT 'Label21',
                                                             `label22` string DEFAULT NULL COMMENT 'Label22',
                                                             `label23` string DEFAULT NULL COMMENT 'Label23',
                                                             `label24` string DEFAULT NULL COMMENT 'Label24',
                                                             `label25` string DEFAULT NULL COMMENT 'Label25',
                                                             `label26` string DEFAULT NULL COMMENT 'Label26',
                                                             `label27` string DEFAULT NULL COMMENT 'Label27',
                                                             `label28` string DEFAULT NULL COMMENT 'Label28',
                                                             `label29` string DEFAULT NULL COMMENT 'Label29',
                                                             `label30` string DEFAULT NULL COMMENT 'Label30',
                                                             `label31` string DEFAULT NULL COMMENT 'Label31',
                                                             `label32` string DEFAULT NULL COMMENT 'Label32',
                                                             `label33` string DEFAULT NULL COMMENT 'Label33',
                                                             `label34` string DEFAULT NULL COMMENT 'Label34',
                                                             `label35` string DEFAULT NULL COMMENT 'Label35',
                                                             `label36` string DEFAULT NULL COMMENT 'Label36',
                                                             `label37` string DEFAULT NULL COMMENT 'Label37',
                                                             `label38` string DEFAULT NULL COMMENT 'Label38',
                                                             `label39` string DEFAULT NULL COMMENT 'Label39',
                                                             `label40` string DEFAULT NULL COMMENT 'Label40',
                                                             `label41` string DEFAULT NULL COMMENT 'Label41',
                                                             `label42` string DEFAULT NULL COMMENT 'Label42',
                                                             `label43` string DEFAULT NULL COMMENT 'Label43',
                                                             `label44` string DEFAULT NULL COMMENT 'Label44',
                                                             `label45` string DEFAULT NULL COMMENT 'Label45',
                                                             `label46` string DEFAULT NULL COMMENT 'Label46',
                                                             `label47` string DEFAULT NULL COMMENT 'Label47',
                                                             `label48` string DEFAULT NULL COMMENT 'Label48',
                                                             `label49` string DEFAULT NULL COMMENT 'Label49',
                                                             `label50` string DEFAULT NULL COMMENT 'Label50',
                                                             `label51` string DEFAULT NULL COMMENT 'Label51',
                                                             `label52` string DEFAULT NULL COMMENT 'Label52',
                                                             `label53` string DEFAULT NULL COMMENT 'Label53',
                                                             `label54` string DEFAULT NULL COMMENT 'Label54',
                                                             `label55` string DEFAULT NULL COMMENT 'Label55',
                                                             `label56` string DEFAULT NULL COMMENT 'Label56',
                                                             `label57` string DEFAULT NULL COMMENT 'Label57',
                                                             `label58` string DEFAULT NULL COMMENT 'Label58',
                                                             `label59` string DEFAULT NULL COMMENT 'Label59',
                                                             `label60` string DEFAULT NULL COMMENT 'Label60',
                                                             `label61` string DEFAULT NULL COMMENT 'Label61',
                                                             `label62` string DEFAULT NULL COMMENT 'Label62',
                                                             `label63` string DEFAULT NULL COMMENT 'Label63',
                                                             `label64` string DEFAULT NULL COMMENT 'Label64',
                                                             `label65` string DEFAULT NULL COMMENT 'Label65',
                                                             `label66` string DEFAULT NULL COMMENT 'Label66',
                                                             `label67` string DEFAULT NULL COMMENT 'Label67',
                                                             `label68` string DEFAULT NULL COMMENT 'Label68',
                                                             `label69` string DEFAULT NULL COMMENT 'Label69',
                                                             `label70` string DEFAULT NULL COMMENT 'Label70',
                                                             `label71` string DEFAULT NULL COMMENT 'Label71',
                                                             `label72` string DEFAULT NULL COMMENT 'Label72',
                                                             `label73` string DEFAULT NULL COMMENT 'Label73',
                                                             `label74` string DEFAULT NULL COMMENT 'Label74',
                                                             `label75` string DEFAULT NULL COMMENT 'Label75',
                                                             `label76` string DEFAULT NULL COMMENT 'Label76',
                                                             `label77` string DEFAULT NULL COMMENT 'Label77',
                                                             `label78` string DEFAULT NULL COMMENT 'Label78',
                                                             `label79` string DEFAULT NULL COMMENT 'Label79',
                                                             `label80` string DEFAULT NULL COMMENT 'Label80',
                                                             `label81` string DEFAULT NULL COMMENT 'Label81',
                                                             `label82` string DEFAULT NULL COMMENT 'Label82',
                                                             `label83` string DEFAULT NULL COMMENT 'Label83',
                                                             `label84` string DEFAULT NULL COMMENT 'Label84',
                                                             `label85` string DEFAULT NULL COMMENT 'Label85',
                                                             `label86` string DEFAULT NULL COMMENT 'Label86',
                                                             `label87` string DEFAULT NULL COMMENT 'Label87',
                                                             `label88` string DEFAULT NULL COMMENT 'Label88',
                                                             `label89` string DEFAULT NULL COMMENT 'Label89',
                                                             `label90` string DEFAULT NULL COMMENT 'Label90',
                                                             `label91` string DEFAULT NULL COMMENT 'Label91',
                                                             `label92` string DEFAULT NULL COMMENT 'Label92',
                                                             `label93` string DEFAULT NULL COMMENT 'Label93',
                                                             `label94` string DEFAULT NULL COMMENT 'Label94',
                                                             `label95` string DEFAULT NULL COMMENT 'Label95',
                                                             `label96` string DEFAULT NULL COMMENT 'Label96',
                                                             `label97` string DEFAULT NULL COMMENT 'Label97',
                                                             `label98` string DEFAULT NULL COMMENT 'Label98',
                                                             `label99` string DEFAULT NULL COMMENT 'Label99',
                                                             `label100` string DEFAULT NULL COMMENT 'Label100',
                                                             `label101` string DEFAULT NULL COMMENT 'Label101',
                                                             `label102` string DEFAULT NULL COMMENT 'Label102',
                                                             `label103` string DEFAULT NULL COMMENT 'Label103',
                                                             `label104` string DEFAULT NULL COMMENT 'Label104',
                                                             `label105` string DEFAULT NULL COMMENT 'Label105',
                                                             `label106` string DEFAULT NULL COMMENT 'Label106',
                                                             `label107` string DEFAULT NULL COMMENT 'Label107',
                                                             `label108` string DEFAULT NULL COMMENT 'Label108',
                                                             `label109` string DEFAULT NULL COMMENT 'Label109',
                                                             `label110` string DEFAULT NULL COMMENT 'Label110',
                                                             `label111` string DEFAULT NULL COMMENT 'Label111',
                                                             `label112` string DEFAULT NULL COMMENT 'Label112',
                                                             `label113` string DEFAULT NULL COMMENT 'Label113',
                                                             `label114` string DEFAULT NULL COMMENT 'Label114',
                                                             `label115` string DEFAULT NULL COMMENT 'Label115',
                                                             `label116` string DEFAULT NULL COMMENT 'Label116',
                                                             `label117` string DEFAULT NULL COMMENT 'Label117',
                                                             `label118` string DEFAULT NULL COMMENT 'Label118',
                                                             `label119` string DEFAULT NULL COMMENT 'Label119',
                                                             `label120` string DEFAULT NULL COMMENT 'Label120'
)
    COMMENT '客户渠道标签表'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,customerno,salecomname,salecom,dday,gender,ethnic,nation,homeadress,regresidence,maritalstat,maritalstatdate,offspring,support,empstat,empstatdate,raid,ral,al,coadress,pmphone,mhone1,mhone2,sophone,height,weight,cillness,pillness,cdiseases,bmi,fmhistory,evadate,cohevaluation,hphone,occupationid,occupation,odate,employer,wphone,empdate,lemployer,idcard,passport,dlicense,education,university,edate,wechat,weibo,email,qq,tiktok,saccount1,sa1cat,saccount2,sa2cat,ctype,father,mother,mate,child1,child2,cochild,rpid,rpdescribe,corp,vid,vdescribe,covehicle,anniversary1,a1describe,anniversary2,a2describe,soanniversary,custtype,bankname,tobankcard,accname,bankaccno,cobaccount,sotlirisk,soairisk,sosiirisk,somcirisk,someirisk,soefirisk,sopirisk,sowmirisk,custclass,convalue,awarded3,awarded2,awarded1,sovalue,enddate,systemtag1,systemtag2,systemtag3,systemtag4,systemtag5,cocommunication,lcdate,lctype,lcmethod,cocomplaint,lcptdate,lcptreason,lcptlink,lcptresult,lcptduration,lcptperson,soppremium,lappdate,cndate,cnstatus,coclaim,soclaim,cocnotification,fadate,fachannel,faorg,lpno,lpstate,lpname,lpchannel,lporg,copolicy,lpostype,iaccno1,iaccname1,iaccno2,iaccname2,iaccno3,iaccname3,soiaccount1,soiaccount2,soiaccount3,coiaccount,homeid,branchcode,custstate,datasource,smoking,drinking,pregnancy,hobby1,hobby2,hobby3,pincome,fincome,regtype,incomesource,sistatus,novpolicy,noivpolicy,nostinsurance,nospinsurance,iself,iparent,ichildren,imate,policybelong,zipcode,othernumber,otheridnumber,officialcalculus,created_by,created_time,updated_by,updated_time,label1,label2,label3,label4,label5,label6,label7,label8,label9,label10,label11,label12,label13,label14,label15,label16,label17,label18,label19,label20,label21,label22,label23,label24,label25,label26,label27,label28,label29,label30,label31,label32,label33,label34,label35,label36,label37,label38,label39,label40,label41,label42,label43,label44,label45,label46,label47,label48,label49,label50,label51,label52,label53,label54,label55,label56,label57,label58,label59,label60,label61,label62,label63,label64,label65,label66,label67,label68,label69,label70,label71,label72,label73,label74,label75,label76,label77,label78,label79,label80,label81,label82,label83,label84,label85,label86,label87,label88,label89,label90,label91,label92,label93,label94,label95,label96,label97,label98,label99,label100,label101,label102,label103,label104,label105,label106,label107,label108,label109,label110,label111,label112,label113,label114,label115,label116,label117,label118,label119,label120',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.customerno_salecom_relation@esdrive.stargate'
TBLPROPERTIES (
  'transient_lastDdlTime'='1652171049',
  'elasticsearch.tablename'='shanglifeecif.customerno_salecom_relation',
  'elasticsearch.indextype'='default_type_')
;
CREATE  TABLE `shanglifeecif.customertotaltemp`(
                                                   `scustid` string DEFAULT NULL COMMENT '',
                                                   `name` string DEFAULT NULL COMMENT '',
                                                   `gender` string DEFAULT NULL COMMENT '',
                                                   `birthday` string DEFAULT NULL COMMENT '',
                                                   `idcard` string DEFAULT NULL COMMENT '证件号码',
                                                   `idtype` string DEFAULT NULL COMMENT '证件类型',
                                                   `mobile` string DEFAULT NULL
)
    COMMENT '客户信息临时总表'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,name,gender,birthday,idcard,idtype,mobile',
  'elasticsearch.columns.type'='string,string,string,string,string,string,string',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.customertotaltemp@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'elasticsearch.tablename'='shanglifeecif.customertotaltemp',
  'transient_lastDdlTime'='1617704650',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.effectivecustomer`(
                                                   `esid` string DEFAULT NULL COMMENT '唯一标识',
                                                   `fadatey` string DEFAULT NULL COMMENT '投保年份',
                                                   `custclass` string DEFAULT NULL COMMENT '客户等级',
                                                   `cnum` string DEFAULT NULL COMMENT '客户数量'
)
    COMMENT '有效客户数'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,fadatey,custclass,cnum',
  'elasticsearch.columns.type'='string,string,string,string',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.effectivecustomer@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'elasticsearch.tablename'='shanglifeecif.effectivecustomer',
  'transient_lastDdlTime'='1617937279',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.exception_log`(
                                               `log_id` string DEFAULT NULL COMMENT '唯一标识',
                                               `log_code` string DEFAULT NULL COMMENT '错误代码',
                                               `log_msg` string DEFAULT NULL COMMENT '错误信息',
                                               `log_time` timestamp NOT NULL COMMENT '操作时间'
)
    COMMENT '错误日志'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,log_code,log_msg,log_time',
  'elasticsearch.columns.type'='string,string,string,timestamp',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.exception_log@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'elasticsearch.tablename'='shanglifeecif.exception_log',
  'transient_lastDdlTime'='1618557580',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.individual`(
                                            `indid` string DEFAULT NULL COMMENT '个体ID',
                                            `custid` string DEFAULT NULL COMMENT '客户号 本系统统一生成的全司范围的唯一标识',
                                            `scustid` string DEFAULT NULL COMMENT '上游客户号 上游系统的客户ID',
                                            `name` string DEFAULT NULL COMMENT '名称 T_CUSTOMER_CLASS.CUSTOMER_NAME',
                                            `birthday` string DEFAULT NULL COMMENT '出生日期 T_CUSTOMER_CLASS.BIRTHDATE',
                                            `nobirth` string DEFAULT NULL COMMENT '出生国家',
                                            `sobirth` string DEFAULT NULL COMMENT '出生省份',
                                            `cobirth` string DEFAULT NULL COMMENT '出生城市',
                                            `dday` string DEFAULT NULL COMMENT '死亡日期',
                                            `gender` string DEFAULT NULL COMMENT '性别',
                                            `ethnic` string DEFAULT NULL COMMENT '民族',
                                            `nation` string DEFAULT NULL COMMENT '国籍',
                                            `homeadress` string DEFAULT NULL COMMENT '籍贯 UNDERWRITE_REPORT_LIST.POLICY_HOLDER_ADDRESS',
                                            `regresidence` string DEFAULT NULL COMMENT '户口所在地',
                                            `maritalstat` string DEFAULT NULL COMMENT '婚姻状况 一对多',
                                            `maritalstatdate` string DEFAULT NULL COMMENT '婚姻状况日期 一对多',
                                            `offspring` string DEFAULT NULL COMMENT '生育状况',
                                            `support` string DEFAULT NULL COMMENT '赡养状况',
                                            `empstat` string DEFAULT NULL COMMENT '就业状况 一对多',
                                            `empstatdate` string DEFAULT NULL COMMENT '就业状况日期 一对多',
                                            `raid` string DEFAULT NULL COMMENT '联系地址',
                                            `ral` string DEFAULT NULL COMMENT '联系地址不分段',
                                            `al` string DEFAULT NULL COMMENT '曾用地址不分段',
                                            `coadress` int DEFAULT NULL COMMENT '地址登录数量',
                                            `pmphone` string DEFAULT NULL COMMENT '常用手机 正在使用的手机',
                                            `mhone1` string DEFAULT NULL COMMENT '曾用手机1',
                                            `mhone2` string DEFAULT NULL COMMENT '曾用手机2',
                                            `sophone` int DEFAULT NULL COMMENT '手机登录数量',
                                            `height` double DEFAULT NULL COMMENT '身高',
                                            `weight` double DEFAULT NULL COMMENT '体重',
                                            `cillness` string DEFAULT NULL COMMENT '当前疾病',
                                            `pillness` string DEFAULT NULL COMMENT '曾患疾病',
                                            `cdiseases` string DEFAULT NULL COMMENT '先天性疾病',
                                            `bmi` double DEFAULT NULL COMMENT 'BMI体制指数',
                                            `fmhistory` string DEFAULT NULL COMMENT '家族病史',
                                            `evadate` string DEFAULT NULL COMMENT '健康评估日期',
                                            `cohevaluation` int DEFAULT NULL COMMENT '健康评估登录数量',
                                            `hphone` string DEFAULT NULL COMMENT '家庭电话',
                                            `occupationid` string DEFAULT NULL COMMENT '职业代码 UNDERWRITE_REPORT_LIST.POLICY_HOLDER_CODE',
                                            `occupation` string DEFAULT NULL COMMENT '职业名称 UNDERWRITE_REPORT_LIST.POLICY_HOLDER_NAME',
                                            `odate` string DEFAULT NULL COMMENT '职业时间 一对多',
                                            `employer` string DEFAULT NULL COMMENT '工作单位',
                                            `wphone` string DEFAULT NULL COMMENT '工作电话',
                                            `empdate` string DEFAULT NULL COMMENT '工作单位时间',
                                            `lemployer` string DEFAULT NULL COMMENT '曾经工作单位',
                                            `idcard` string DEFAULT NULL COMMENT '身份证 T_CUSTOMER_CLASS.ID_NO',
                                            `passport` string DEFAULT NULL COMMENT '护照',
                                            `dlicense` string DEFAULT NULL COMMENT '驾驶证',
                                            `education` string DEFAULT NULL COMMENT '最高学历',
                                            `university` string DEFAULT NULL COMMENT '毕业学校',
                                            `edate` string DEFAULT NULL COMMENT '学历时间',
                                            `wechat` string DEFAULT NULL COMMENT '微信',
                                            `weibo` string DEFAULT NULL COMMENT '微博',
                                            `email` string DEFAULT NULL COMMENT '邮箱',
                                            `qq` string DEFAULT NULL COMMENT 'QQ',
                                            `tiktok` string DEFAULT NULL COMMENT '抖音',
                                            `saccount1` string DEFAULT NULL COMMENT '社交账号1',
                                            `sa1cat` string DEFAULT NULL COMMENT '社交账号1类别',
                                            `saccount2` string DEFAULT NULL COMMENT '社交账号2',
                                            `sa2cat` string DEFAULT NULL COMMENT '社交账号2类别',
                                            `ctype` string DEFAULT NULL COMMENT '首选联系方式 手机，微信，微博，邮箱，QQ，抖音，其他',
                                            `father` string DEFAULT NULL COMMENT '父亲 HEALTH_INSURANCE_LISTING.INSUREDNAME
HEALTH_INSURANCE_LISTING.RELATION:投保人与被保人关系',
                                            `mother` string DEFAULT NULL COMMENT '母亲',
                                            `mate` string DEFAULT NULL COMMENT '配偶',
                                            `child1` string DEFAULT NULL COMMENT '子女1',
                                            `child2` string DEFAULT NULL COMMENT '子女2',
                                            `cochild` int DEFAULT NULL COMMENT '子女登录数量',
                                            `rpid` string DEFAULT NULL COMMENT '房产',
                                            `rpdescribe` string DEFAULT NULL COMMENT '房产描述',
                                            `corp` int DEFAULT NULL COMMENT '房产登录数量',
                                            `vid` string DEFAULT NULL COMMENT '车辆',
                                            `vdescribe` string DEFAULT NULL COMMENT '车辆描述',
                                            `covehicle` int DEFAULT NULL COMMENT '车辆登录数量',
                                            `anniversary1` string DEFAULT NULL COMMENT '纪念日1',
                                            `a1describe` string DEFAULT NULL COMMENT '纪念日1类型',
                                            `anniversary2` string DEFAULT NULL COMMENT '纪念日2',
                                            `a2describe` string DEFAULT NULL COMMENT '纪念日2类型',
                                            `soanniversary` int DEFAULT NULL COMMENT '纪念日登录数量',
                                            `custtype` string DEFAULT NULL COMMENT '客户类型',
                                            `bankname` string DEFAULT NULL COMMENT '开户银行',
                                            `tobankcard` string DEFAULT NULL COMMENT '银行卡类型 如：master、visa、银联等。',
                                            `accname` string DEFAULT NULL COMMENT '账户名',
                                            `bankaccno` string DEFAULT NULL COMMENT '银行帐号',
                                            `cobaccount` int DEFAULT NULL COMMENT '账户登录数量',
                                            `sotlirisk` double DEFAULT NULL COMMENT '传统寿险种保额合计',
                                            `soairisk` double DEFAULT NULL COMMENT '意外类险种保额合计',
                                            `sosiirisk` double DEFAULT NULL COMMENT '重疾类险种保额合计',
                                            `somcirisk` double DEFAULT NULL COMMENT '医疗费用类险种保额合计',
                                            `someirisk` double DEFAULT NULL COMMENT '医疗补贴类险种保额合计',
                                            `soefirisk` double DEFAULT NULL COMMENT '教育金类险种保额合计',
                                            `sopirisk` double DEFAULT NULL COMMENT '养老金类险种保额合计',
                                            `sowmirisk` double DEFAULT NULL COMMENT '财富管理险种保额合计',
                                            `custclass` int DEFAULT NULL COMMENT '客户等级',
                                            `convalue` int DEFAULT NULL COMMENT '贡献度分',
                                            `awarded3` int DEFAULT NULL COMMENT '家庭加分',
                                            `awarded2` int DEFAULT NULL COMMENT '续期加分',
                                            `awarded1` int DEFAULT NULL COMMENT '保单加分',
                                            `sovalue` int DEFAULT NULL COMMENT '总分值',
                                            `enddate` string DEFAULT NULL COMMENT '客户等级失效日期',
                                            `systemtag1` string DEFAULT NULL COMMENT '系统标签域1',
                                            `systemtag2` string DEFAULT NULL COMMENT '系统标签域2',
                                            `systemtag3` string DEFAULT NULL COMMENT '系统标签域3',
                                            `systemtag4` string DEFAULT NULL COMMENT '系统标签域4',
                                            `systemtag5` string DEFAULT NULL COMMENT '系统标签域5',
                                            `cocommunication` int DEFAULT NULL COMMENT '接触次数',
                                            `lcdate` string DEFAULT NULL COMMENT '最近接触时间',
                                            `lctype` string DEFAULT NULL COMMENT '最近接触类型 投诉、问询、营销',
                                            `lcmethod` string DEFAULT NULL COMMENT '最近接触方式 外呼、呼入',
                                            `cocomplaint` int DEFAULT NULL COMMENT '投诉次数 当前客户投保保单相关投诉，包括非本人投诉',
                                            `lcptdate` string DEFAULT NULL COMMENT '最近投诉时间 当前客户投保保单相关投诉，包括非本人投诉',
                                            `lcptreason` string DEFAULT NULL COMMENT '最近投诉原因 当前客户投保保单相关投诉，包括非本人投诉',
                                            `lcptlink` string DEFAULT NULL COMMENT '最近投诉环节 当前客户投保保单相关投诉，包括非本人投诉',
                                            `lcptresult` string DEFAULT NULL COMMENT '最近投诉处理结果 当前客户投保保单相关投诉，包括非本人投诉',
                                            `lcptduration` double DEFAULT NULL COMMENT '最近投诉处理时长 当前客户投保保单相关投诉，包括非本人投诉',
                                            `lcptperson` string DEFAULT NULL COMMENT '最近投诉人',
                                            `soppremium` double DEFAULT NULL COMMENT '累计已缴保费',
                                            `lappdate` string DEFAULT NULL COMMENT '最近投保日期',
                                            `cndate` string DEFAULT NULL COMMENT '最近报案日期',
                                            `cnstatus` string DEFAULT NULL COMMENT '最近报案状态',
                                            `coclaim` int DEFAULT NULL COMMENT '赔付次数',
                                            `soclaim` double DEFAULT NULL COMMENT '赔付总额',
                                            `cocnotification` int DEFAULT NULL COMMENT '报案登录数量',
                                            `fadate` string DEFAULT NULL COMMENT '首次投保日期 当前客户为投保人时',
                                            `fachannel` string DEFAULT NULL COMMENT '首张保单所属渠道 InsuranceArrangement.AgentChannel',
                                            `faorg` string DEFAULT NULL COMMENT '首张保单所属机构 InsuranceArrangement.AgentOrg',
                                            `lpno` string DEFAULT NULL COMMENT '最近保险单号 当前客户为投保人时',
                                            `lpstate` string DEFAULT NULL COMMENT '最近保单状态 当前客户为投保人时',
                                            `lpname` string DEFAULT NULL COMMENT '最近投保险种名称 当前客户为投保人时',
                                            `lpchannel` string DEFAULT NULL COMMENT '最近保单所属渠道 InsuranceArrangement.AgentChannel',
                                            `lporg` string DEFAULT NULL COMMENT '最近保单所属机构 InsuranceArrangement.AgentOrg',
                                            `copolicy` int DEFAULT NULL COMMENT '保单登录数量',
                                            `lpostype` string DEFAULT NULL COMMENT '最近保全类型 AUDIT_EDORLIST.EDORNAME',
                                            `iaccno1` string DEFAULT NULL COMMENT '保险账户1',
                                            `iaccname1` string DEFAULT NULL COMMENT '保险账户1名称',
                                            `iaccno2` string DEFAULT NULL COMMENT '保险账户2',
                                            `iaccname2` string DEFAULT NULL COMMENT '保险账户2名称',
                                            `iaccno3` string DEFAULT NULL COMMENT '保险账户3',
                                            `iaccname3` string DEFAULT NULL COMMENT '保险账户3名称',
                                            `soiaccount1` double DEFAULT NULL COMMENT '保险账户1余额',
                                            `soiaccount2` double DEFAULT NULL COMMENT '保险账户2余额',
                                            `soiaccount3` double DEFAULT NULL COMMENT '保险账户3余额',
                                            `coiaccount` int DEFAULT NULL COMMENT '保险账户登录数量',
                                            `homeid` string DEFAULT NULL COMMENT '家庭号 大数据平台HOME_NETWORK',
                                            `branchcode` string DEFAULT NULL COMMENT '机构代码 数据归属机构，用于权限控制',
                                            `custstate` string DEFAULT NULL COMMENT '客户状态 party可能会合并导致当前记录不再可用',
                                            `datasource` string DEFAULT NULL COMMENT '数据来源',
                                            `smoking` string DEFAULT NULL COMMENT '吸烟情况 从不、戒烟、吸烟',
                                            `drinking` string DEFAULT NULL COMMENT '饮酒情况 从不、戒酒、饮酒',
                                            `pregnancy` string DEFAULT NULL COMMENT '怀孕情况',
                                            `hobby1` string DEFAULT NULL COMMENT '兴趣爱好1',
                                            `hobby2` string DEFAULT NULL COMMENT '兴趣爱好2',
                                            `hobby3` string DEFAULT NULL COMMENT '兴趣爱好3',
                                            `pincome` double DEFAULT NULL COMMENT '个人年收入',
                                            `fincome` double DEFAULT NULL COMMENT '家庭年收入',
                                            `regtype` string DEFAULT NULL COMMENT '户籍类型',
                                            `incomesource` string DEFAULT NULL COMMENT '收入来源',
                                            `sistatus` string DEFAULT NULL COMMENT '社保情况',
                                            `novpolicy` int DEFAULT NULL COMMENT '有效保单件数',
                                            `noivpolicy` int DEFAULT NULL COMMENT '失效保单件数',
                                            `nostinsurance` string DEFAULT NULL COMMENT '短意险保单持有情况 仅持有短意险保单，持有短意险保单，无短意险保单',
                                            `nospinsurance` string DEFAULT NULL COMMENT '趸交保单持有情况 仅持有趸交保单，持有趸交保单，无趸交保单',
                                            `iself` string DEFAULT NULL COMMENT '本人投保情况 仅本人投保，本人已投保，本人未投保',
                                            `iparent` string DEFAULT NULL COMMENT '父母投保情况 仅父母投保，父母已投保，父母未投保',
                                            `ichildren` string DEFAULT NULL COMMENT '子女投保情况 仅子女投保，子女已投保，子女未·投保',
                                            `imate` string DEFAULT NULL COMMENT '配偶投保情况 仅配偶投保，配偶已投保，配偶未投保',
                                            `policybelong` string DEFAULT NULL COMMENT '业绩归属',
                                            `zipcode` string DEFAULT NULL,
                                            `othernumber` string DEFAULT NULL,
                                            `otheridnumber` string DEFAULT NULL,
                                            `officialcalculus` string DEFAULT NULL,
                                            `created_by` string DEFAULT NULL COMMENT '创建人',
                                            `created_time` date DEFAULT NULL COMMENT '创建时间',
                                            `updated_by` string DEFAULT NULL COMMENT '更新人',
                                            `updated_time` date DEFAULT NULL COMMENT '更新时间',
                                            `label1` string DEFAULT NULL COMMENT 'Label1',
                                            `label2` string DEFAULT NULL COMMENT 'Label2',
                                            `label3` string DEFAULT NULL COMMENT 'Label3',
                                            `label4` string DEFAULT NULL COMMENT 'Label4',
                                            `label5` string DEFAULT NULL COMMENT 'Label5',
                                            `label6` string DEFAULT NULL COMMENT 'Label6',
                                            `label7` string DEFAULT NULL COMMENT 'Label7',
                                            `label8` string DEFAULT NULL COMMENT 'Label8',
                                            `label9` string DEFAULT NULL COMMENT 'Label9',
                                            `label10` string DEFAULT NULL COMMENT 'Label10',
                                            `label11` string DEFAULT NULL COMMENT 'Label11',
                                            `label12` string DEFAULT NULL COMMENT 'Label12',
                                            `label13` string DEFAULT NULL COMMENT 'Label13',
                                            `label14` string DEFAULT NULL COMMENT 'Label14',
                                            `label15` string DEFAULT NULL COMMENT 'Label15',
                                            `label16` string DEFAULT NULL COMMENT 'Label16',
                                            `label17` string DEFAULT NULL COMMENT 'Label17',
                                            `label18` string DEFAULT NULL COMMENT 'Label18',
                                            `label19` string DEFAULT NULL COMMENT 'Label19',
                                            `label20` string DEFAULT NULL COMMENT 'Label20',
                                            `label21` string DEFAULT NULL COMMENT 'Label21',
                                            `label22` string DEFAULT NULL COMMENT 'Label22',
                                            `label23` string DEFAULT NULL COMMENT 'Label23',
                                            `label24` string DEFAULT NULL COMMENT 'Label24',
                                            `label25` string DEFAULT NULL COMMENT 'Label25',
                                            `label26` string DEFAULT NULL COMMENT 'Label26',
                                            `label27` string DEFAULT NULL COMMENT 'Label27',
                                            `label28` string DEFAULT NULL COMMENT 'Label28',
                                            `label29` string DEFAULT NULL COMMENT 'Label29',
                                            `label30` string DEFAULT NULL COMMENT 'Label30',
                                            `label31` string DEFAULT NULL COMMENT 'Label31',
                                            `label32` string DEFAULT NULL COMMENT 'Label32',
                                            `label33` string DEFAULT NULL COMMENT 'Label33',
                                            `label34` string DEFAULT NULL COMMENT 'Label34',
                                            `label35` string DEFAULT NULL COMMENT 'Label35',
                                            `label36` string DEFAULT NULL COMMENT 'Label36',
                                            `label37` string DEFAULT NULL COMMENT 'Label37',
                                            `label38` string DEFAULT NULL COMMENT 'Label38',
                                            `label39` string DEFAULT NULL COMMENT 'Label39',
                                            `label40` string DEFAULT NULL COMMENT 'Label40',
                                            `label41` string DEFAULT NULL COMMENT 'Label41',
                                            `label42` string DEFAULT NULL COMMENT 'Label42',
                                            `label43` string DEFAULT NULL COMMENT 'Label43',
                                            `label44` string DEFAULT NULL COMMENT 'Label44',
                                            `label45` string DEFAULT NULL COMMENT 'Label45',
                                            `label46` string DEFAULT NULL COMMENT 'Label46',
                                            `label47` string DEFAULT NULL COMMENT 'Label47',
                                            `label48` string DEFAULT NULL COMMENT 'Label48',
                                            `label49` string DEFAULT NULL COMMENT 'Label49',
                                            `label50` string DEFAULT NULL COMMENT 'Label50',
                                            `label51` string DEFAULT NULL COMMENT 'Label51',
                                            `label52` string DEFAULT NULL COMMENT 'Label52',
                                            `label53` string DEFAULT NULL COMMENT 'Label53',
                                            `label54` string DEFAULT NULL COMMENT 'Label54',
                                            `label55` string DEFAULT NULL COMMENT 'Label55',
                                            `label56` string DEFAULT NULL COMMENT 'Label56',
                                            `label57` string DEFAULT NULL COMMENT 'Label57',
                                            `label58` string DEFAULT NULL COMMENT 'Label58',
                                            `label59` string DEFAULT NULL COMMENT 'Label59',
                                            `label60` string DEFAULT NULL COMMENT 'Label60',
                                            `label61` string DEFAULT NULL COMMENT 'Label61',
                                            `label62` string DEFAULT NULL COMMENT 'Label62',
                                            `label63` string DEFAULT NULL COMMENT 'Label63',
                                            `label64` string DEFAULT NULL COMMENT 'Label64',
                                            `label65` string DEFAULT NULL COMMENT 'Label65',
                                            `label66` string DEFAULT NULL COMMENT 'Label66',
                                            `label67` string DEFAULT NULL COMMENT 'Label67',
                                            `label68` string DEFAULT NULL COMMENT 'Label68',
                                            `label69` string DEFAULT NULL COMMENT 'Label69',
                                            `label70` string DEFAULT NULL COMMENT 'Label70',
                                            `label71` string DEFAULT NULL COMMENT 'Label71',
                                            `label72` string DEFAULT NULL COMMENT 'Label72',
                                            `label73` string DEFAULT NULL COMMENT 'Label73',
                                            `label74` string DEFAULT NULL COMMENT 'Label74',
                                            `label75` string DEFAULT NULL COMMENT 'Label75',
                                            `label76` string DEFAULT NULL COMMENT 'Label76',
                                            `label77` string DEFAULT NULL COMMENT 'Label77',
                                            `label78` string DEFAULT NULL COMMENT 'Label78',
                                            `label79` string DEFAULT NULL COMMENT 'Label79',
                                            `label80` string DEFAULT NULL COMMENT 'Label80',
                                            `label81` string DEFAULT NULL COMMENT 'Label81',
                                            `label82` string DEFAULT NULL COMMENT 'Label82',
                                            `label83` string DEFAULT NULL COMMENT 'Label83',
                                            `label84` string DEFAULT NULL COMMENT 'Label84',
                                            `label85` string DEFAULT NULL COMMENT 'Label85',
                                            `label86` string DEFAULT NULL COMMENT 'Label86',
                                            `label87` string DEFAULT NULL COMMENT 'Label87',
                                            `label88` string DEFAULT NULL COMMENT 'Label88',
                                            `label89` string DEFAULT NULL COMMENT 'Label89',
                                            `label90` string DEFAULT NULL COMMENT 'Label90',
                                            `label91` string DEFAULT NULL COMMENT 'Label91',
                                            `label92` string DEFAULT NULL COMMENT 'Label92',
                                            `label93` string DEFAULT NULL COMMENT 'Label93',
                                            `label94` string DEFAULT NULL COMMENT 'Label94',
                                            `label95` string DEFAULT NULL COMMENT 'Label95',
                                            `label96` string DEFAULT NULL COMMENT 'Label96',
                                            `label97` string DEFAULT NULL COMMENT 'Label97',
                                            `label98` string DEFAULT NULL COMMENT 'Label98',
                                            `label99` string DEFAULT NULL COMMENT 'Label99',
                                            `label100` string DEFAULT NULL COMMENT 'Label100',
                                            `label101` string DEFAULT NULL COMMENT 'Label101',
                                            `label102` string DEFAULT NULL COMMENT 'Label102',
                                            `label103` string DEFAULT NULL COMMENT 'Label103',
                                            `label104` string DEFAULT NULL COMMENT 'Label104',
                                            `label105` string DEFAULT NULL COMMENT 'Label105',
                                            `label106` string DEFAULT NULL COMMENT 'Label106',
                                            `label107` string DEFAULT NULL COMMENT 'Label107',
                                            `label108` string DEFAULT NULL COMMENT 'Label108',
                                            `label109` string DEFAULT NULL COMMENT 'Label109',
                                            `label110` string DEFAULT NULL COMMENT 'Label110',
                                            `label111` string DEFAULT NULL COMMENT 'Label111',
                                            `label112` string DEFAULT NULL COMMENT 'Label112',
                                            `label113` string DEFAULT NULL COMMENT 'Label113',
                                            `label114` string DEFAULT NULL COMMENT 'Label114',
                                            `label115` string DEFAULT NULL COMMENT 'Label115',
                                            `label116` string DEFAULT NULL COMMENT 'Label116',
                                            `label117` string DEFAULT NULL COMMENT 'Label117',
                                            `label118` string DEFAULT NULL COMMENT 'Label118',
                                            `label119` string DEFAULT NULL COMMENT 'Label119',
                                            `label120` string DEFAULT NULL COMMENT 'Label120',
                                            `salecom` string DEFAULT NULL,
                                            `salecomnew` string DEFAULT NULL
)
    COMMENT '客户信息 '
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,custid,scustid,name,birthday,nobirth,sobirth,cobirth,dday,gender,ethnic,nation,homeadress,regresidence,maritalstat,maritalstatdate,offspring,support,empstat,empstatdate,raid,ral,al,coadress,pmphone,mhone1,mhone2,sophone,height,weight,cillness,pillness,cdiseases,bmi,fmhistory,evadate,cohevaluation,hphone,occupationid,occupation,odate,employer,wphone,empdate,lemployer,idcard,passport,dlicense,education,university,edate,wechat,weibo,email,qq,tiktok,saccount1,sa1cat,saccount2,sa2cat,ctype,father,mother,mate,child1,child2,cochild,rpid,rpdescribe,corp,vid,vdescribe,covehicle,anniversary1,a1describe,anniversary2,a2describe,soanniversary,custtype,bankname,tobankcard,accname,bankaccno,cobaccount,sotlirisk,soairisk,sosiirisk,somcirisk,someirisk,soefirisk,sopirisk,sowmirisk,custclass,convalue,awarded3,awarded2,awarded1,sovalue,enddate,systemtag1,systemtag2,systemtag3,systemtag4,systemtag5,cocommunication,lcdate,lctype,lcmethod,cocomplaint,lcptdate,lcptreason,lcptlink,lcptresult,lcptduration,lcptperson,soppremium,lappdate,cndate,cnstatus,coclaim,soclaim,cocnotification,fadate,fachannel,faorg,lpno,lpstate,lpname,lpchannel,lporg,copolicy,lpostype,iaccno1,iaccname1,iaccno2,iaccname2,iaccno3,iaccname3,soiaccount1,soiaccount2,soiaccount3,coiaccount,homeid,branchcode,custstate,datasource,smoking,drinking,pregnancy,hobby1,hobby2,hobby3,pincome,fincome,regtype,incomesource,sistatus,novpolicy,noivpolicy,nostinsurance,nospinsurance,iself,iparent,ichildren,imate,policybelong,zipcode,othernumber,otheridnumber,officialcalculus,created_by,created_time,updated_by,updated_time,label1,label2,label3,label4,label5,label6,label7,label8,label9,label10,label11,label12,label13,label14,label15,label16,label17,label18,label19,label20,label21,label22,label23,label24,label25,label26,label27,label28,label29,label30,label31,label32,label33,label34,label35,label36,label37,label38,label39,label40,label41,label42,label43,label44,label45,label46,label47,label48,label49,label50,label51,label52,label53,label54,label55,label56,label57,label58,label59,label60,label61,label62,label63,label64,label65,label66,label67,label68,label69,label70,label71,label72,label73,label74,label75,label76,label77,label78,label79,label80,label81,label82,label83,label84,label85,label86,label87,label88,label89,label90,label91,label92,label93,label94,label95,label96,label97,label98,label99,label100,label101,label102,label103,label104,label105,label106,label107,label108,label109,label110,label111,label112,label113,label114,label115,label116,label117,label118,label119,label120,salecom,salecomnew',
  'elasticsearch.columns.type'='string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,int,string,string,string,int,double,double,string,string,string,double,string,string,int,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,int,string,string,int,string,string,int,string,string,string,string,int,string,string,string,string,string,int,double,double,double,double,double,double,double,double,int,int,int,int,int,int,string,string,string,string,string,string,int,string,string,string,int,string,string,string,string,double,string,double,string,string,string,int,double,int,string,string,string,string,string,string,string,string,int,string,string,string,string,string,string,string,double,double,double,int,string,string,string,string,string,string,string,string,string,string,double,double,string,string,string,int,int,string,string,string,string,string,string,string,string,string,string,string,string,date,string,date,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.individual@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'last_modified_time'='1648627068',
  'elasticsearch.tablename'='shanglifeecif.individual',
  'COLUMN_STATS_ACCURATE'='false',
  'transient_lastDdlTime'='1617704641',
  'last_modified_by'='hive',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.indrelationship`(
                                                 `irsid` string DEFAULT NULL COMMENT '',
                                                 `rstype` string DEFAULT NULL COMMENT '',
                                                 `indid1` string DEFAULT NULL COMMENT '',
                                                 `name1` string DEFAULT NULL COMMENT '',
                                                 `mphone1` string DEFAULT NULL COMMENT '',
                                                 `idcard1` string DEFAULT NULL COMMENT '',
                                                 `role1` string DEFAULT NULL COMMENT '',
                                                 `indid2` string DEFAULT NULL COMMENT '',
                                                 `name2` string DEFAULT NULL COMMENT '',
                                                 `mphone2` string DEFAULT NULL COMMENT '',
                                                 `idcard2` string DEFAULT NULL COMMENT '',
                                                 `role2` string DEFAULT NULL COMMENT '',
                                                 `rsstime` date DEFAULT NULL COMMENT '',
                                                 `rsetime` date DEFAULT NULL COMMENT '',
                                                 `rsdescribe` string DEFAULT NULL COMMENT '',
                                                 `created_by` string DEFAULT NULL COMMENT '',
                                                 `created_time` date DEFAULT NULL COMMENT '',
                                                 `updated_by` string DEFAULT NULL COMMENT '',
                                                 `updated_time` date DEFAULT NULL COMMENT ''
)
    COMMENT '个体关系'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,rstype,indid1,name1,mphone1,idcard1,role1,indid2,name2,mphone2,idcard2,role2,rsstime,rsetime,rsdescribe,created_by,created_time,updated_by,updated_time',
  'elasticsearch.columns.type'='string,string,string,string,string,string,string,string,string,string,string,string,date,date,string,string,date,string,date',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.indrelationship@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'elasticsearch.tablename'='shanglifeecif.indrelationship',
  'transient_lastDdlTime'='1617704645',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.insurancearrangement`(
                                                      `iaid` string NOT NULL COMMENT '保单ID',
                                                      `policyno` string DEFAULT NULL COMMENT '保险单号 INSURANCEINFO.CONTNO',
                                                      `pano` string DEFAULT NULL COMMENT '投保单号 INSURANCEINFO.PRTNO',
                                                      `agrmntage` string DEFAULT NULL COMMENT '保险期限',
                                                      `pbinst` string DEFAULT NULL COMMENT '受益分配方式',
                                                      `pwcomp` string DEFAULT NULL COMMENT '承保分公司 HEALTH_INSURANCE_LISTING.AGENTGROUPAREA 营业区HEALTH_INSURANCE_LISTING.AGENTGROUP 营业部',
                                                      `pindate` string DEFAULT NULL COMMENT '起保日期 POLICY_INFORMATION.CVALIDATE',
                                                      `pmdate` string DEFAULT NULL COMMENT '终保日期 POLICY_INFORMATION.ENDDATE',
                                                      `pisdate` string DEFAULT NULL COMMENT '签单日期 INSURANCEINFO.SIGNDATE',
                                                      `padate` string DEFAULT NULL COMMENT '投保日期 INSURANCEINFO.POLAPPLYDATE',
                                                      `renewaldate` string DEFAULT NULL COMMENT '续保日期',
                                                      `norenewal` int DEFAULT NULL COMMENT '续保次数 POLICY_INFORMATION.PAYCOUNT',
                                                      `policytype` string DEFAULT NULL COMMENT '保单类型 PERSONAL_INSURANCE.CONTTYPE,需上游给出类型枚举值',
                                                      `schannel` string DEFAULT NULL COMMENT '销售渠道 HEALTH_INSURANCE_LISTING.SALECHANNELS 1 2 3 4 5',
                                                      `bsource` string DEFAULT NULL COMMENT '业务来源',
                                                      `policystate` string DEFAULT NULL COMMENT '保单状态 保单包括投保单的所处的状态，例如：录入、生效、批单等 INSURANCEINFO.APPFLAG code 0 1 2 4 9 B F',
                                                      `topay` string DEFAULT NULL COMMENT '缴费类型',
                                                      `payment` string DEFAULT NULL COMMENT '缴费方式 POLICY_INFORMATION.PAYINTV',
                                                      `risk` double DEFAULT NULL COMMENT '总保额 HEALTH_INSURANCE_LISTING.AMNT(测试环境中，此表保单数据量较其他表如：POLICY_INFORMATION，INSURANCEINFO 缺少至少一个数据量级)',
                                                      `prem` double DEFAULT NULL COMMENT '总保费 INSURANCEINFO.PREM',
                                                      `currency` string DEFAULT NULL COMMENT '币种',
                                                      `npdate` string DEFAULT NULL COMMENT '下次缴费日期',
                                                      `soinsured` int DEFAULT NULL COMMENT '被保人数 HEALTH_GROUP_LISTING.PEOPLES3,团单',
                                                      `bsinsured` double DEFAULT NULL COMMENT '基本保额 保险合同条款费率表中载明的单位保额。比如中国人寿的康宁终身保险就是这样，如果购买的基本保险金额是10万的话，那么大病的保险金额就是基本保险金额的2倍即20万；',
                                                      `insurvalue` double DEFAULT NULL COMMENT '保单价值 保单价值，即保单现金价值。是指带有储蓄性质的人身bai保险单所具有的价值。保险人为履行合同责任通常提存责任准备金，如果您中途退保，即以该保单的责任准备金作为给付解约的退还金。被保险人要求解约或退保时，寿险公司应该发还的金额。
在长期寿险契约中，保险人为履行契约责任，通常需要提存一定数额的责任准备金。当被保险人于保险有效期内因故要求解约或退保时，保险人按规定，将提存的责任准备金减去解约扣除后的余额退还给被保险人，这部分余额即解约金，亦即退保时保单所具有的现金价值。',
                                                      `applicantid` string DEFAULT NULL COMMENT '投保人 根据POLICY_INFORMATION.CUSTOMERNO关联individual上游客户号，再找到individualid',
                                                      `applicantscustid` string DEFAULT NULL COMMENT '投保人上游客户号',
                                                      `appname` string DEFAULT NULL COMMENT '投保人名称 POLICY_INFORMATION.NAME',
                                                      `appphone` string DEFAULT NULL COMMENT '投保人手机',
                                                      `appcertid` string DEFAULT NULL COMMENT '投保人证件号码 POLICY_INFORMATION.IDNO',
                                                      `insuredid` string DEFAULT NULL COMMENT '主被保险人 客户号',
                                                      `insuredscustid` string DEFAULT NULL COMMENT '主被保险人 上游客户号POLICY_INFORMATION.insuredno',
                                                      `insname` string DEFAULT NULL COMMENT '主被保险人名称 POLICY_INFORMATION.INSUREDNAME',
                                                      `insphone` string DEFAULT NULL COMMENT '主被保险人手机',
                                                      `inscertid` string DEFAULT NULL COMMENT '主被保险人证件号码 POLICY_INFORMATION.INSUREDIDNO',
                                                      `productid` string DEFAULT NULL COMMENT '险种代码 POLICY_INFORMATION.RISKCODE',
                                                      `productname` string DEFAULT NULL COMMENT '险种名称 INSURANCEINFO.RISKNAME',
                                                      `salesperson` string DEFAULT NULL COMMENT '业务员',
                                                      `spname` string DEFAULT NULL COMMENT '业务员名称 HEALTH_INSURANCE_LISTING.AGENTCODE',
                                                      `iaccount` string DEFAULT NULL COMMENT '所属保险账户',
                                                      `branchcode` string DEFAULT NULL COMMENT '机构代码',
                                                      `policybelong` string DEFAULT NULL COMMENT '业绩归属 POLICY_INFORMATION.SALECOM',
                                                      `agentchannel` string DEFAULT NULL COMMENT '代理渠道 INSURANCEINFO.SELLTYPE',
                                                      `agentorg` string DEFAULT NULL COMMENT '代理机构',
                                                      `regtype` string DEFAULT NULL COMMENT '户籍类型',
                                                      `pincome` string DEFAULT NULL COMMENT '个人年收入',
                                                      `fincome` double DEFAULT NULL COMMENT '家庭年收入',
                                                      `incomesource` string DEFAULT NULL COMMENT '收入来源',
                                                      `socialinsurance` string DEFAULT NULL COMMENT '是否有社保',
                                                      `oipolicy` string DEFAULT NULL COMMENT '是否投保其他保险公司',
                                                      `oicompany` string DEFAULT NULL COMMENT '其他保险公司',
                                                      `oicproduct` string DEFAULT NULL COMMENT '其他保险公司险种',
                                                      `oiamount` double DEFAULT NULL COMMENT '其他保险公司保额',
                                                      `drinking` string DEFAULT NULL COMMENT '是否饮酒',
                                                      `dfavor` string DEFAULT NULL COMMENT '饮酒喜好',
                                                      `poservice` string DEFAULT NULL COMMENT '是否保全 投保人持有保单是否在AUDIT_EDORLIST.CONTNO存在',
                                                      `payendyear` int DEFAULT NULL COMMENT '缴费年期 POLICY_INFORMATION.PAYENDYEAR',
                                                      `loanmoney` double DEFAULT NULL COMMENT '保单质押贷款金额 AUDIT_LN_LIST.LNMONEY ',
                                                      `paydate` string DEFAULT NULL COMMENT '缴至日期',
                                                      `risk_categories` string DEFAULT NULL COMMENT '险种大类代码',
                                                      `risk_categories_name` string DEFAULT NULL COMMENT '险种大类名称',
                                                      `created_by` string DEFAULT NULL COMMENT '创建人',
                                                      `created_time` date DEFAULT NULL COMMENT '创建时间',
                                                      `updated_by` string DEFAULT NULL COMMENT '更新人',
                                                      `updated_time` date DEFAULT NULL COMMENT '更新时间',
                                                      `sumprem` double DEFAULT NULL,
                                                      `salecomname` string DEFAULT NULL,
                                                      `security` string DEFAULT NULL,
                                                      `schannelname` string DEFAULT NULL
)
    COMMENT '保单 确定参与方之间，参与方和保险公司之间的协议，使相关各方能在遵守一定的规则并履行相关义务的前提下进行产品或资源或服务的供给'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,policyno,pano,agrmntage,pbinst,pwcomp,pindate,pmdate,pisdate,padate,renewaldate,norenewal,policytype,schannel,bsource,policystate,topay,payment,risk,prem,currency,npdate,soinsured,bsinsured,insurvalue,applicantid,applicantscustid,appname,appphone,appcertid,insuredid,insuredscustid,insname,insphone,inscertid,productid,productname,salesperson,spname,iaccount,branchcode,policybelong,agentchannel,agentorg,regtype,pincome,fincome,incomesource,socialinsurance,oipolicy,oicompany,oicproduct,oiamount,drinking,dfavor,poservice,payendyear,loanmoney,paydate,risk_categories,risk_categories_name,created_by,created_time,updated_by,updated_time,sumprem,salecomname,security,schannelname',
  'elasticsearch.columns.type'='string,string,string,string,string,string,string,string,string,string,string,int,string,string,string,string,string,string,double,double,string,string,int,double,double,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,double,string,string,string,string,string,double,string,string,string,int,double,string,string,string,string,date,string,date,double,string,string,string',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.insurancearrangement@esdrive.stargate'
TBLPROPERTIES (
  'last_modified_time'='1617775661',
  'elasticsearch.tablename'='shanglifeecif.insurancearrangement',
  'transient_lastDdlTime'='1617704642',
  'last_modified_by'='hive',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10',
  'es.table.enable.all'='false',
  'totalSize'='0',
  'COLUMN_STATS_ACCURATE'='false',
  'numFiles'='0')
;
CREATE  TABLE `shanglifeecif.insuranceclaimthread`(
                                                      `icthreadid` string NOT NULL COMMENT '保险理赔Id',
                                                      `crno` string DEFAULT NULL COMMENT '立案号',
                                                      `companyno` string DEFAULT NULL COMMENT '公司代码',
                                                      `policyno` string NOT NULL COMMENT '保险单号 INSURANCE_CLAIM.CONTNO',
                                                      `applicantid` string DEFAULT NULL COMMENT '投保人ID',
                                                      `appname` string DEFAULT NULL COMMENT '投保人名称',
                                                      `appphone` string DEFAULT NULL COMMENT '投保人手机',
                                                      `appcertid` string DEFAULT NULL COMMENT '投保人证件号码 INSURANCE_CLAIM.RISKDATE',
                                                      `cnno` string DEFAULT NULL COMMENT '报案号',
                                                      `losstime` string DEFAULT NULL COMMENT '损失发生时间',
                                                      `rpid` string DEFAULT NULL COMMENT '报案人',
                                                      `rpname` string DEFAULT NULL COMMENT '报案人名称',
                                                      `rpphone` string DEFAULT NULL COMMENT '报案人电话',
                                                      `lpid` string DEFAULT NULL COMMENT '出险人',
                                                      `lpscutid` string DEFAULT NULL COMMENT '出险人上游客户号',
                                                      `lpname` string DEFAULT NULL COMMENT '出险人名称',
                                                      `cndate` string DEFAULT NULL COMMENT '报案日期 INSURANCE_CLAIM.RPTDATE',
                                                      `lossdescribe` string DEFAULT NULL COMMENT '损失原因 案件发生的原因:INSURANCE_CLAIM.LLOCCURREASON',
                                                      `crdate` string DEFAULT NULL COMMENT '立案日期 INSURANCE_CLAIM.RGTDATE',
                                                      `cndescribe` string DEFAULT NULL COMMENT '报案描述 INSURANCE_CLAIM.ACCIDENTDETAIL',
                                                      `claimstatus` string DEFAULT NULL COMMENT '理赔状态 案件的状态，例如：录入、已立案等',
                                                      `csdate` string DEFAULT NULL COMMENT '理赔状态日期',
                                                      `relationship` string DEFAULT NULL COMMENT '报案人与出险人关系',
                                                      `ccno` string DEFAULT NULL COMMENT '赔案号 AUDIT_CLAIM_INSURANCE.CLMNO',
                                                      `ccstatus` string DEFAULT NULL COMMENT '赔案状态',
                                                      `ccsdate` string DEFAULT NULL COMMENT '赔案状态日期',
                                                      `productid` string DEFAULT NULL COMMENT '险种代码',
                                                      `productname` string DEFAULT NULL COMMENT '险种代码名称',
                                                      `ccamt` double DEFAULT NULL COMMENT '赔付金额',
                                                      `branchcode` string DEFAULT NULL COMMENT '机构代码',
                                                      `claimcasestatus` string DEFAULT NULL COMMENT '案件状态INSURANCE_CLAIM_HEALTH.LLCLAIMSTATE',
                                                      `accidenttype` string DEFAULT NULL COMMENT '理赔类型',
                                                      `created_by` string DEFAULT NULL COMMENT '',
                                                      `created_time` date DEFAULT NULL COMMENT '',
                                                      `updated_by` string DEFAULT NULL COMMENT '',
                                                      `updated_time` date DEFAULT NULL COMMENT '',
                                                      `salecom` string DEFAULT NULL,
                                                      `salecomname` string DEFAULT NULL
)
    COMMENT '保险理赔'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,crno,companyno,policyno,applicantid,appname,appphone,appcertid,cnno,losstime,rpid,rpname,rpphone,lpid,lpscutid,lpname,cndate,lossdescribe,crdate,cndescribe,claimstatus,csdate,relationship,ccno,ccstatus,ccsdate,productid,productname,ccamt,branchcode,claimcasestatus,accidenttype,created_by,created_time,updated_by,updated_time,salecom,salecomname',
  'elasticsearch.columns.type'='string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,double,string,string,string,string,date,string,date',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.insuranceclaimthread@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'last_modified_time'='1647855753',
  'elasticsearch.tablename'='shanglifeecif.insuranceclaimthread',
  'COLUMN_STATS_ACCURATE'='false',
  'transient_lastDdlTime'='1617704643',
  'last_modified_by'='hive',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.partytimeline`(
                                               `tripid` string DEFAULT NULL COMMENT '',
                                               `policyno` string DEFAULT NULL COMMENT '',
                                               `partyid` string DEFAULT NULL COMMENT '',
                                               `name` string DEFAULT NULL COMMENT '',
                                               `pcertid` string DEFAULT NULL COMMENT '',
                                               `pphone` string DEFAULT NULL COMMENT '',
                                               `prole` string DEFAULT NULL COMMENT '',
                                               `scenario` string DEFAULT NULL COMMENT '',
                                               `sdate` string DEFAULT NULL COMMENT '',
                                               `threadid` string DEFAULT NULL COMMENT '',
                                               `parentid` string DEFAULT NULL COMMENT '',
                                               `describe` string DEFAULT NULL COMMENT '',
                                               `channel` string DEFAULT NULL COMMENT '',
                                               `enddate` string DEFAULT NULL COMMENT '',
                                               `created_by` string DEFAULT NULL COMMENT '',
                                               `created_time` date DEFAULT NULL COMMENT '',
                                               `updated_by` string DEFAULT NULL COMMENT '',
                                               `updated_time` date DEFAULT NULL COMMENT '',
                                               `salecom` string DEFAULT NULL,
                                               `salecomname` string DEFAULT NULL
)
    COMMENT '参与方事件'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,policyno,partyid,name,pcertid,pphone,prole,scenario,sdate,threadid,parentid,describe,channel,enddate,created_by,created_time,updated_by,updated_time,salecom,salecomname',
  'elasticsearch.columns.type'='string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,date,string,date',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.partytimeline@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'last_modified_time'='1647849050',
  'elasticsearch.tablename'='shanglifeecif.partytimeline',
  'COLUMN_STATS_ACCURATE'='false',
  'transient_lastDdlTime'='1617704646',
  'last_modified_by'='hive',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.riskcode_statistics`(
                                                     `id` string DEFAULT NULL,
                                                     `kindcode` string DEFAULT NULL COMMENT '险种大类代码',
                                                     `kindname` string DEFAULT NULL COMMENT '险种大类名称',
                                                     `khnum` string DEFAULT NULL COMMENT '客户数量',
                                                     `tatolprem` string DEFAULT NULL COMMENT '总保额'
)
    COMMENT '险种大类统计表'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,kindcode,kindname,khnum,tatolprem',
  'elasticsearch.columns.type'='string,string,string,string,string',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.riskcode_statistics@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'elasticsearch.tablename'='shanglifeecif.riskcode_statistics',
  'transient_lastDdlTime'='1617704652',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.riskcode_statistics_channel`(
                                                             `id` string DEFAULT NULL,
                                                             `kindcode` string DEFAULT NULL COMMENT '险种大类代码',
                                                             `kindname` string DEFAULT NULL COMMENT '险种大类名称',
                                                             `khnum` string DEFAULT NULL COMMENT '客户数量',
                                                             `tatolprem` string DEFAULT NULL COMMENT '总保额',
                                                             `salecom` string DEFAULT NULL COMMENT '渠道码',
                                                             `salecomname` string DEFAULT NULL COMMENT '渠道名字'
)
    COMMENT '险种大类统计渠道表'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,kindcode,kindname,khnum,tatolprem,salecom,salecomname',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.riskcode_statistics_channel@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'elasticsearch.tablename'='shanglifeecif.riskcode_statistics_channel',
  'transient_lastDdlTime'='1647916734',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.samecustomer`(
                                              `sid` string DEFAULT NULL COMMENT '',
                                              `scustid` string DEFAULT NULL COMMENT '',
                                              `custid` string DEFAULT NULL COMMENT '',
                                              `name` string DEFAULT NULL COMMENT '',
                                              `gender` string DEFAULT NULL COMMENT '',
                                              `birthday` string DEFAULT NULL COMMENT '',
                                              `idcard` string DEFAULT NULL COMMENT '',
                                              `passport` string DEFAULT NULL COMMENT '护照',
                                              `dlicense` string DEFAULT NULL COMMENT '驾驶证',
                                              `otheridnumber` string DEFAULT NULL COMMENT '其它证件号码',
                                              `sametype` string DEFAULT NULL COMMENT '相似类型',
                                              `mobile` string DEFAULT NULL,
                                              `zipcode` string DEFAULT NULL,
                                              `degree` string DEFAULT NULL,
                                              `pindate` string DEFAULT NULL,
                                              `agentname` string DEFAULT NULL,
                                              `salecomname` string DEFAULT NULL,
                                              `email` string DEFAULT NULL
)
    COMMENT '疑似相同客户信息'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,scustid,custid,name,gender,birthday,idcard,passport,dlicense,otheridnumber,sametype,mobile,zipcode,degree,pindate,agentname,salecomname,email',
  'elasticsearch.columns.type'='string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string,string',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.samecustomer@esdrive.stargate'
TBLPROPERTIES (
  'last_modified_time'='1619145452',
  'elasticsearch.tablename'='shanglifeecif.samecustomer',
  'transient_lastDdlTime'='1617704653',
  'last_modified_by'='hive',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10',
  'es.table.enable.all'='false',
  'totalSize'='0',
  'COLUMN_STATS_ACCURATE'='false',
  'numFiles'='0')
;
CREATE  TABLE `shanglifeecif.surrenderprotectiontemp`(
                                                         `tbid` string DEFAULT NULL COMMENT '唯一标识',
                                                         `scustid` string DEFAULT NULL COMMENT '退保客户号',
                                                         `tbday` string DEFAULT NULL COMMENT '退保保障天数'
)
    COMMENT '退保保障天数临时表'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,scustid,tbday',
  'elasticsearch.columns.type'='string,string,string',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.surrenderprotectiontemp@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'elasticsearch.tablename'='shanglifeecif.surrenderprotectiontemp',
  'transient_lastDdlTime'='1618453157',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;
CREATE  TABLE `shanglifeecif.tbcustomerinfo`(
                                                `tbid` string DEFAULT NULL COMMENT '唯一标识',
                                                `scustid` string DEFAULT NULL COMMENT '退保客户号',
                                                `contno` string DEFAULT NULL COMMENT '退保单号',
                                                `sdate` string DEFAULT NULL COMMENT '开始日期',
                                                `edate` string DEFAULT NULL COMMENT '退保日期',
                                                `salecom_search` string DEFAULT NULL,
                                                `salecom` string DEFAULT NULL,
                                                `salecomname` string DEFAULT NULL
)
    COMMENT '退保客户信息表'
    ROW FORMAT SERDE
  'io.transwarp.esdrive.serde.ElasticSearchSerDe'
STORED BY
  'io.transwarp.esdrive.ElasticSearchStorageHandler'
WITH SERDEPROPERTIES (
  'elasticsearch.columns.mapping'='_id,scustid,contno,sdate,edate,salecom_search,salecom,salecomname',
  'elasticsearch.columns.type'='string,string,string,string,string',
  'serialization.format'='1')
LOCATION
  'hdfs://nameservice1/inceptor1/user/hive/warehouse/shanglifeecif.db/hive/shanglifeecif.tbcustomerinfo@esdrive.stargate'
TBLPROPERTIES (
  'es.table.enable.all'='false',
  'last_modified_time'='1649224901',
  'elasticsearch.tablename'='shanglifeecif.tbcustomerinfo',
  'COLUMN_STATS_ACCURATE'='false',
  'transient_lastDdlTime'='1629102385',
  'last_modified_by'='hive',
  'elasticsearch.indextype'='default_type_',
  'es.table.shards'='10')
;